[pve-devel] [PATCH qemu 2/2] Add a 'Conflicts' with qemu-system-common from Debian

Emmanuel Kasper e.kasper at proxmox.com
Wed Oct 4 15:53:33 CEST 2017


Both qemu-system-common and our pve-qemu-kvm package install the
file /usr/bin/virtfs-proxy-helper.

Since qemu-system-common does not have reverse dependencies in Debian for
packages besides  qemu-system-<arch>, and ovmf, which we don't want to
install anyway, we do not need a 'Provides' for it.
---
 debian/control | 1 +
 1 file changed, 1 insertion(+)

diff --git a/debian/control b/debian/control
index c0ade16..8205ed7 100644
--- a/debian/control
+++ b/debian/control
@@ -51,6 +51,7 @@ Conflicts: kvm,
            pve-qemu-kvm-2.6.18,
            qemu,
            qemu-kvm,
+           qemu-system-common,
            qemu-system-x86,
            qemu-utils,
 Provides: qemu-system-x86,
-- 
2.11.0




More information about the pve-devel mailing list